ul {
  padding: 0;
  margin: 0;
  list-style: none;
}

.title {
  text-align: center;
  margin-bottom: 32px;
}

// ---------------
// Template Example
.example-template {
  display: grid;
  grid-template-columns: 20px 1fr 20px;
  grid-template-areas:
    "header header header"
    ". main ."
    ". sidebar ."
    ". section ."
    "footer footer footer";

  header {
    grid-area: header;
    background-color: lightblue;
    padding: 21px 4px;
    font-size: 21px;
    font-weight: bold;
  }
  .main {
    grid-area: main;
    background-color: lightgreen;
    padding: 21px 4px;
    font-size: 21px;
    font-weight: bold;
  }
  .sidebar {
    grid-area: sidebar;
    background-color: lightgrey;
    padding: 21px 4px;
    font-size: 21px;
    font-weight: bold;
  }
  .section {
    grid-area: section;
    background-color: lightsalmon;
    padding: 21px 4px;
    font-size: 21px;
    font-weight: bold;
  }
  footer {
    grid-area: footer;
    background-color: lightcoral;
    padding: 21px 4px;
    font-size: 21px;
    font-weight: bold;
  }
}

@media screen and (min-width: 600px) {
  .example-template {
    grid-template-columns: 20px 1fr 1fr 20px;
    grid-template-areas:
      "header header header header"
      ". main sidebar ."
      ". section section ."
      "footer footer footer footer";
  }
}

@media screen and (min-width: 768px) {
  .example-template {
    grid-template-columns: 20px 1fr 1fr 1fr 20px;
    grid-template-areas:
      "header header header header header"
      ". main sidebar section ."
      "footer footer footer footer footer";
  }
}

// ---------------
// Gallery Example
.example-gallery {
  max-width: 900px;
  margin: 0 auto;
}

.galleryGrid {
  display: grid;
  grid-template-columns: repeat(2, minmax(10px, 1fr));
  gap: 12px;
  .gridItem {
    border-radius: 6px;
    overflow: hidden;
    & > img {
      object-fit: cover;
      object-position: center;
      width: 100%;
      height: 100%;
    }
  }
}

@media screen and (min-width: 768px) {
  .galleryGrid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 256px);
    grid-template-areas:
      "a b d"
      "a c d";

    .gridItem {
      &:nth-child(1) {
        grid-area: a;
      }
      &:nth-child(2) {
        grid-area: b;
      }
      &:nth-child(3) {
        grid-area: c;
      }
      &:nth-child(4) {
        grid-area: d;
      }
    }
  }
}

// ---------------
// Product Example
.example-product {
  max-width: 900px;
  margin: 0 auto;
  border-radius: 6px;
  background-color: rgb(229, 231, 235);
  overflow: hidden;
  max-width: 400px;
  border: 1px rgb(243, 244, 246) solid;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
    0 2px 4px -1px rgba(0, 0, 0, 0.06);
  max-width: 900px;

  article {
    img {
      width: 100%;
      border-radius: 6px;
      overflow: hidden;
    }
    h1 {
      text-align: center;
      font-size: 32px;
      padding: 0 6px;
      margin: 0;
    }
    .btns {
      display: flex;
      justify-content: space-around;
      align-items: center;
      button {
        min-width: 80px;
        background-color: rgb(243, 244, 246);
        border: 1px solid rgb(75, 85, 99);
        padding: 4px 6px;
        border-radius: 4px;
      }
    }

    p {
      font-size: 16px;
      padding: 0 8px;
    }
  }
}

.article-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px;
  grid-template-areas:
    "img img"
    "title title"
    "btns btns"
    "desc desc";

  img {
    grid-area: img;
  }
  h1 {
    grid-area: title;
  }
  .btns {
    grid-area: btns;
  }
  p {
    grid-area: desc;
  }
}

@media screen and (min-width: 600px) {
  .article-grid {
    grid-template-areas:
      "img title"
      "img btns"
      "desc desc";

    h1 {
      align-self: end;
    }
    .btns {
      align-self: start;
    }
  }
}

@media screen and (min-width: 768px) {
  .article-grid {
    grid-template-rows: repeat(3, 1fr);
    grid-template-areas:
      "img title"
      "img desc"
      "img btns";

    h1 {
      align-self: end;
    }
    p {
      align-self: center;
    }
    .btns {
      align-self: center;
    }
  }
}


